Index: NEMO/trunk/README.rst
===================================================================
--- NEMO/trunk/README.rst	(revision 10991)
+++ NEMO/trunk/README.rst	(revision 11708)
@@ -3,5 +3,5 @@
 :SVN rev.: |revision|
 
-NEMO_ for **Nucleus for European Modelling of the Ocean** is a state-of-the-art modelling framework for
+NEMO_ for *Nucleus for European Modelling of the Ocean* is a state-of-the-art modelling framework for
 research activities and forecasting services in ocean and climate sciences,
 developed in a sustainable way by a European consortium since 2008.
@@ -15,13 +15,13 @@
 The NEMO ocean model has 3 major components:
 
-- |OPA| models the ocean {thermo}dynamics and solves the primitive equations
-  (``./src/OCE``)
-- |SI3| simulates seaice {thermo}dynamics, brine inclusions and subgrid-scale thickness variations
-  (``./src/ICE``)
-- |TOP| models the {on,off}line oceanic tracers transport and biogeochemical processes
+- |NEMO-OCE| models the ocean {thermo}dynamics and solves the primitive equations (``./src/OCE``)
+- |NEMO-ICE| simulates seaice {thermo}dynamics, brine inclusions and
+  subgrid-scale thickness variations (``./src/ICE``)
+- |NEMO-MBG| models the {on,off}line oceanic tracers transport and biogeochemical processes
   (``./src/TOP``)
 
-These physical core engines are described in their respective `references`_ that
-must be cited for any work related to their use.
+These physical core engines are described in
+their respective `reference publications <#project-documentation>`_ that
+must be cited for any work related to their use (see :doc:`citations`).
 
 Assets and solutions
@@ -42,5 +42,5 @@
 
 The user can also checkout available :doc:`idealized test cases<test_cases>` that
-address specific physical processes(``./tests``).
+address specific physical processes (``./tests``).
 
 A set of :doc:`utilities <tools>` is also provided to {pre,post}process your data (``./tools``).
@@ -50,23 +50,20 @@
 
 A walkthrough tutorial illustrates how to get code dependencies, compile and execute NEMO
-(``./INSTALL.rst``) . 
+(``./INSTALL.rst``).
 
 Reference manuals and quick start guide can be build from source and
 exported to HTML or PDF formats (``./doc``) or
-downloaded directly from the :website:`website<bibliography/documentation>`.
+downloaded directly from the :forge:`development platform<wiki/Documentations>`.
 
-=========== ===================== ===============
- Component   Reference Manual      Quick start
-=========== ===================== ===============
- |OPA|       |NEMO manual|_        |NEMO guide|
-             :cite:`NEMO_manual`
- |SI3|       |SI3 manual|
-             :cite:`SI3_manual`
- |TOP|       |TOP manual|
-             :cite:`TOP_manual`
-=========== ===================== ===============
+============ ================== ====================
+ Component    Reference Manual   Quick start
+============ ================== ====================
+ |NEMO-OCE|   |DOI man OCE|_     |DOI strt gui|
+ |NEMO-ICE|   |DOI man ICE|
+ |NEMO-MBG|   |DOI man MBG|
+============ ================== ====================
 
 Since 2014 the project has a `Special Issue`_ in the open-access journal
-Geoscientific Model Development (GMD) from the European Geosciences Union (EGU).
+Geoscientific Model Development (GMD) from the European Geosciences Union (EGU_).
 The main scope is to collect relevant manuscripts covering various topics and
 to provide a single portal to assess the model potential and evolution.
@@ -79,22 +76,13 @@
 =================
 
-The NEMO Consortium pulling together 5 European institutes (CMCC_, CNRS_, MOI_, `Met Office`_ and NERC_)
-plans the sustainable development in order to keep a reliable evolving framework since 2008.
+The NEMO Consortium pulling together 5 European institutes
+(CMCC_, CNRS_, MOI_, `Met Office`_ and NERC_) plans the sustainable development in order to
+keep a reliable evolving framework since 2008.
 
-It defines the |NEMO strategy|_ that is implemented by the System Team on a yearly basis in order to
-release a new version almost every four years.
+It defines the |DOI dev stgy|_ that is implemented by the System Team on a yearly basis
+in order to release a new version almost every four years.
 
 When the need arises, :forge:`working groups<wiki/WorkingGroups>` are created or resumed to
 gather the community expertise for advising on the development activities.
 
-
-.. Substitutions / Links
-
-.. |NEMO manual| image:: https://zenodo.org/badge/DOI/10.5281/zenodo.1464816.svg
-.. |NEMO guide|  image:: https://zenodo.org/badge/DOI/10.5281/zenodo.1475325.svg
-.. |SI3 manual|  image:: https://zenodo.org/badge/DOI/10.5281/zenodo.1471689.svg
-.. |TOP manual|  image:: https://zenodo.org/badge/DOI/10.5281/zenodo.1471700.svg
-
-.. |NEMO strategy| replace:: multi-year development strategy
-
-.. _Special Issue: https://www.geosci-model-dev.net/special_issue40.html
+.. |DOI dev stgy| replace:: multi-year development strategy