Index: MO/trunk/doc/rst/source/NEMO_guide.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/NEMO_guide.rst	(revision 11717)
+++ 	(revision )
@@ -1,57 +1,0 @@
-#################
-Quick Start Guide
-#################
-
-..
-	For headings markup, this convention is recommended from Python’s Style Guide
-	# with overline, for parts
-	* with overline, for chapters
-	=, for sections
-	-, for subsections
-	^, for subsubsections
-	", for paragraphs
-
-	'global.rst' contains a list of roles, substitutions and URL links for the guide.
-	It is loaded for each file with the 'rst_epilog' setting in 'conf.py'
-
-.. toctree::
-   :hidden:
-   :caption: Getting started
-
-   install
-   configurations
-   test_cases
-
-.. toctree::
-   :hidden:
-   :caption: Setup your configuration
-
-   setup
-   diagnostics
-   tools
-
-.. toctree::
-   :hidden:
-   :caption: Advanced use
-
-   zooms
-   coupling
-   data_assimilation
-   tracers
-
-.. toctree::
-   :hidden:
-   :caption: Miscellaneous
-
-   citations
-   contributing
-   release_notes
-   glossary
-
-:Release:  |release|
-
-.. only:: draft
-
-   .. include:: todos.rst
-
-.. include:: readme.rst
Index: /NEMO/trunk/doc/rst/source/acro.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/acro.rst	(revision 11718)
+++ /NEMO/trunk/doc/rst/source/acro.rst	(revision 11718)
@@ -0,0 +1,35 @@
+********
+Acronyms
+********
+
+.. glossary::
+
+   `AGRIF`_
+      *Adaptive Grid Refinement In Fortran*,
+      package for the integration of full adaptive mesh refinement features within
+      an existing multidimensional finite difference model
+
+   SI\ :sup:`3`\
+      *Sea Ice Integrated Initiative*,
+      unified sea ice model merging functionalities from CICE, GELATO and LIM into the NEMO framework
+
+   `OASIS`_
+      *Ocean Atmosphere Sea Ice Soil*,
+      coupling software to synchronise numerical codes representing different components of the climate system
+
+   PISCES
+      *Pelagic Interactions Scheme for Carbon and Ecosystem Studies*,
+      biogeochemical model simulating marine ecosystems, cycles of carbon and the main nutrients
+
+   TAM
+      *Tangent linear and Adjoint Model*,
+      tools to analyse and control the NEMO dynamical core for a wide range of applications such as
+      sensitivity analysis, parameter estimation, vectors computation or data assimilation.
+
+   TOP
+      *Tracers in Ocean Paradigm*,
+      on/off-line oceanic tracers transport and biogeochemistry models
+
+   `XIOS`_
+      *XML Input Output Server*,
+      library dedicated to input/output management of climate code
Index: /NEMO/trunk/doc/rst/source/cfgs.bib
===================================================================
--- /NEMO/trunk/doc/rst/source/cfgs.bib	(revision 11718)
+++ /NEMO/trunk/doc/rst/source/cfgs.bib	(revision 11718)
@@ -0,0 +1,25 @@
+@article{ODEA2012,
+author = {E J O’Dea and A K Arnold and K P Edwards and R Furner and P Hyder and M J Martin and J R Siddorn and D Storkey and J While and J T Holt and H Liu},
+title = {An operational ocean forecast system incorporating NEMO and SST data assimilation for the tidally driven European North-West shelf},
+journal = {Journal of Operational Oceanography},
+volume = {5},
+number = {1},
+pages = {3-17},
+year  = {2012},
+publisher = {Taylor & Francis},
+doi = {10.1080/1755876X.2012.11020128},
+URL = {https://doi.org/10.1080/1755876X.2012.11020128},
+eprint = {https://doi.org/10.1080/1755876X.2012.11020128}
+}
+
+@Article{gmd-8-2465-2015,
+AUTHOR = {Aumont, O. and Eth\'e, C. and Tagliabue, A. and Bopp, L. and Gehlen, M.},
+TITLE = {PISCES-v2: an ocean biogeochemical model for carbon and ecosystem studies},
+JOURNAL = {Geoscientific Model Development},
+VOLUME = {8},
+YEAR = {2015},
+NUMBER = {8},
+PAGES = {2465--2513},
+URL = {https://www.geosci-model-dev.net/8/2465/2015/},
+DOI = {10.5194/gmd-8-2465-2015}
+}
Index: /NEMO/trunk/doc/rst/source/cfgs.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/cfgs.rst	(revision 11718)
+++ /NEMO/trunk/doc/rst/source/cfgs.rst	(revision 11718)
@@ -0,0 +1,1 @@
+link ../../../cfgs/README.rst
Index: /NEMO/trunk/doc/rst/source/changes.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/changes.rst	(revision 11718)
+++ /NEMO/trunk/doc/rst/source/changes.rst	(revision 11718)
@@ -0,0 +1,1 @@
+link ../../../CHANGES.rst
Index: MO/trunk/doc/rst/source/citations.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/citations.rst	(revision 11717)
+++ 	(revision )
@@ -1,44 +1,0 @@
-***********
-How to cite
-***********
-
-|NEMO-OCE|
-   :title:`NEMO ocean engine`,
-   NEMO System Team,
-   Scientific Notes of Climate Modelling Center, 27,
-   ISSN 1288-1619 Institut Pierre-Simon Laplace (IPSL),
-   :doi:`10.5281/zenodo.1464816`
-
-.. literalinclude:: references.bib
-   :language: bibtex
-   :lines:    1-9
-   :caption:  BibTeX source for NEMO manual
-
-|NEMO-ICE|
-   :title:`Sea Ice modelling Integrated Initiative (SI`\ :sup:`3`\ :title:`) --
-   The NEMO sea ice engine`,
-   NEMO Sea Ice Working Group,
-   Scientific Notes of Climate Modelling Center, 31,
-   ISSN 1288-1619 Institut Pierre-Simon Laplace (IPSL),
-   :doi:`10.5281/zenodo.1471689`
-
-.. warning::  No official publication yet
-
-.. literalinclude:: references.bib
-   :language: bibtex
-   :lines:    13-21
-   :caption:  BibTeX source for SI\ :sup:`3` manual
-
-|NEMO-MBG|
-   :title:`Tracer in Ocean Paradigm (TOP) -- The NEMO passive tracer engine`,
-   NEMO TOP Working Group,
-   Scientific Notes of Climate Modelling Center, 28,
-   ISSN 1288-1619 Institut Pierre-Simon Laplace (IPSL),
-   :doi:`10.5281/zenodo.1471700`
-
-.. warning::  No official publication yet
-
-.. literalinclude:: references.bib
-   :language: bibtex
-   :lines:    25-33
-   :caption:  BibTeX source for TOP manual
Index: /NEMO/trunk/doc/rst/source/cite.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/cite.rst	(revision 11718)
+++ /NEMO/trunk/doc/rst/source/cite.rst	(revision 11718)
@@ -0,0 +1,44 @@
+***********
+How to cite
+***********
+
+|NEMO-OCE|
+   :title:`NEMO ocean engine`,
+   NEMO System Team,
+   Scientific Notes of Climate Modelling Center, 27,
+   ISSN 1288-1619 Institut Pierre-Simon Laplace (IPSL),
+   :doi:`10.5281/zenodo.1464816`
+
+.. literalinclude:: ref.bib
+   :language: bibtex
+   :lines:    1-9
+   :caption:  BibTeX source for NEMO manual
+
+|NEMO-ICE|
+   :title:`Sea Ice modelling Integrated Initiative (SI`\ :sup:`3`\ :title:`) --
+   The NEMO sea ice engine`,
+   NEMO Sea Ice Working Group,
+   Scientific Notes of Climate Modelling Center, 31,
+   ISSN 1288-1619 Institut Pierre-Simon Laplace (IPSL),
+   :doi:`10.5281/zenodo.1471689`
+
+.. warning::  No official publication yet
+
+.. literalinclude:: ref.bib
+   :language: bibtex
+   :lines:    13-21
+   :caption:  BibTeX source for SI\ :sup:`3` manual
+
+|NEMO-MBG|
+   :title:`Tracer in Ocean Paradigm (TOP) -- The NEMO passive tracer engine`,
+   NEMO TOP Working Group,
+   Scientific Notes of Climate Modelling Center, 28,
+   ISSN 1288-1619 Institut Pierre-Simon Laplace (IPSL),
+   :doi:`10.5281/zenodo.1471700`
+
+.. warning::  No official publication yet
+
+.. literalinclude:: ref.bib
+   :language: bibtex
+   :lines:    25-33
+   :caption:  BibTeX source for TOP manual
Index: MO/trunk/doc/rst/source/coarsening.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/coarsening.rst	(revision 11717)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../../src/OCE/CRS/README.rst
Index: /NEMO/trunk/doc/rst/source/conf.py
===================================================================
--- /NEMO/trunk/doc/rst/source/conf.py	(revision 11717)
+++ /NEMO/trunk/doc/rst/source/conf.py	(revision 11718)
@@ -26,5 +26,5 @@
 # Add any Sphinx extension module names here, as strings. They can be extensions
 # coming with Sphinx (named 'sphinx.ext.*') or your custom ones.
-extensions = ['sphinx.ext.extlinks', 'sphinxcontrib.bibtex', 'sphinx.ext.todo', 'sphinxmark']
+extensions = ['sphinx.ext.extlinks', 'sphinxcontrib.bibtex', 'sphinx.ext.todo']
 
 # Add any paths that contain templates here, relative to this directory.
@@ -38,5 +38,5 @@
 
 # The master toctree document.
-master_doc = 'NEMO_guide'
+master_doc = 'guide'
 
 # General information about the project.
@@ -65,5 +65,5 @@
 # List of patterns, relative to source directory, that match files and
 # directories to ignore when looking for source files.
-exclude_patterns = ['global.rst', 'coarsening.rst']
+exclude_patterns = ['global.rst', 'crs.rst']
 
 # The reST default role (used for this markup: `text`) to use for all documents.
@@ -184,5 +184,5 @@
 # (source start file, target name, title, author, documentclass [howto/manual]).
 latex_documents = [
-  ('NEMO_guide', 'NEMO_guide.tex', u'NEMO Quick Start Guide',
+  ('guide', 'guide.tex', u'NEMO Quick Start Guide',
    u'NEMO Consortium', 'howto'),
 ]
@@ -214,5 +214,5 @@
 # (source start file, name, description, authors, manual section).
 man_pages = [
-    ('NEMO_guide', 'nemo', u'NEMO Documentation',
+    ('guide', 'nemo', u'NEMO Documentation',
      [u'NEMO System Team'], 1)
 ]
@@ -228,5 +228,5 @@
 #  dir menu entry, description, category)
 texinfo_documents = [
-  ('NEMO_guide', 'NEMO', u'NEMO Documentation',
+  ('guide', 'NEMO', u'NEMO Documentation',
    u'NEMO System Team', 'NEMO', 'One line description of project.',
    'Miscellaneous'),
@@ -267,7 +267,6 @@
 rst_prolog = '.. |revision| replace:: %s' % revision
 
-# Todo
+# 'draft' build tag: DRAFT watermark and TODO list
 if tags.has('draft'):
-    sphinxmark_enable = True
     todo_include_todos = True
     todo_emit_warnings = True
Index: MO/trunk/doc/rst/source/configurations.bib
===================================================================
--- /NEMO/trunk/doc/rst/source/configurations.bib	(revision 11717)
+++ 	(revision )
@@ -1,25 +1,0 @@
-@article{ODEA2012,
-author = {E J O’Dea and A K Arnold and K P Edwards and R Furner and P Hyder and M J Martin and J R Siddorn and D Storkey and J While and J T Holt and H Liu},
-title = {An operational ocean forecast system incorporating NEMO and SST data assimilation for the tidally driven European North-West shelf},
-journal = {Journal of Operational Oceanography},
-volume = {5},
-number = {1},
-pages = {3-17},
-year  = {2012},
-publisher = {Taylor & Francis},
-doi = {10.1080/1755876X.2012.11020128},
-URL = {https://doi.org/10.1080/1755876X.2012.11020128},
-eprint = {https://doi.org/10.1080/1755876X.2012.11020128}
-}
-
-@Article{gmd-8-2465-2015,
-AUTHOR = {Aumont, O. and Eth\'e, C. and Tagliabue, A. and Bopp, L. and Gehlen, M.},
-TITLE = {PISCES-v2: an ocean biogeochemical model for carbon and ecosystem studies},
-JOURNAL = {Geoscientific Model Development},
-VOLUME = {8},
-YEAR = {2015},
-NUMBER = {8},
-PAGES = {2465--2513},
-URL = {https://www.geosci-model-dev.net/8/2465/2015/},
-DOI = {10.5194/gmd-8-2465-2015}
-}
Index: MO/trunk/doc/rst/source/configurations.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/configurations.rst	(revision 11717)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../../cfgs/README.rst
Index: /NEMO/trunk/doc/rst/source/contrib.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/contrib.rst	(revision 11718)
+++ /NEMO/trunk/doc/rst/source/contrib.rst	(revision 11718)
@@ -0,0 +1,1 @@
+link ../../../CONTRIBUTING.rst
Index: MO/trunk/doc/rst/source/contributing.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/contributing.rst	(revision 11717)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../../CONTRIBUTING.rst
Index: MO/trunk/doc/rst/source/coupling.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/coupling.rst	(revision 11717)
+++ 	(revision )
@@ -1,12 +1,0 @@
-********
-Coupling
-********
-
-NEMO currently exploits OASIS-3-MCT (versions 1 to 4) to implement a generalised coupled interface
-(`Coupled Formulation <http://forge.ipsl.jussieu.fr/nemo/doxygen/node50.html?doc=NEMO>`_).
-It can be used to interface with most of the European atmospheric GCM (ARPEGE, ECHAM, ECMWF, Ha- dAM, HadGAM, LMDz), as well as to regional atmospheric models (WRF, COSMO, Meso-NH, AROME).
-To implement the coupling of two independent NEMO components, ocean on one hand and sea-ice plus other surface processes on the other hand
-(`Standalone Surface Module - SAS <http://forge.ipsl.jussieu.fr/nemo/doxygen/node46.html?doc=NEMO>`_).
-
-To enable the OASIS interface the required compilation key is ``key_oasis3``. You must also add ``key_oasis3_v1v2`` if you use OASIS-3-MCT version 1 and 2.
-The parameters to set are in sections ``namsbc_cpl`` and in case of using of SAS also in section ``namsbc_sas``.
Index: /NEMO/trunk/doc/rst/source/cplg.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/cplg.rst	(revision 11718)
+++ /NEMO/trunk/doc/rst/source/cplg.rst	(revision 11718)
@@ -0,0 +1,12 @@
+********
+Coupling
+********
+
+NEMO currently exploits OASIS-3-MCT (versions 1 to 4) to implement a generalised coupled interface
+(`Coupled Formulation <http://forge.ipsl.jussieu.fr/nemo/doxygen/node50.html?doc=NEMO>`_).
+It can be used to interface with most of the European atmospheric GCM (ARPEGE, ECHAM, ECMWF, Ha- dAM, HadGAM, LMDz), as well as to regional atmospheric models (WRF, COSMO, Meso-NH, AROME).
+To implement the coupling of two independent NEMO components, ocean on one hand and sea-ice plus other surface processes on the other hand
+(`Standalone Surface Module - SAS <http://forge.ipsl.jussieu.fr/nemo/doxygen/node46.html?doc=NEMO>`_).
+
+To enable the OASIS interface the required compilation key is ``key_oasis3``. You must also add ``key_oasis3_v1v2`` if you use OASIS-3-MCT version 1 and 2.
+The parameters to set are in sections ``namsbc_cpl`` and in case of using of SAS also in section ``namsbc_sas``.
Index: /NEMO/trunk/doc/rst/source/crs.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/crs.rst	(revision 11718)
+++ /NEMO/trunk/doc/rst/source/crs.rst	(revision 11718)
@@ -0,0 +1,1 @@
+link ../../../src/OCE/CRS/README.rst
Index: /NEMO/trunk/doc/rst/source/da.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/da.rst	(revision 11718)
+++ /NEMO/trunk/doc/rst/source/da.rst	(revision 11718)
@@ -0,0 +1,64 @@
+*****************
+Data assimilation
+*****************
+
+.. contents::
+   :local:
+
+The assimilation interface to NEMO is split into three modules.
+
+- ``OBS`` for the observation operator
+- ``ASM`` for the application of increments and model bias correction
+  (based on the assimilation increments).
+- ``TAM`` the tangent linear and adjoint model.
+
+Please see |DOI man OCE|_ for more details including information about the input file formats and
+the namelist settings.
+
+Observation and model comparison (``OBS``)
+==========================================
+
+The observation and model comparison code (OBS) reads in observation files
+(profile temperature and salinity, sea surface temperature, sea level anomaly, sea ice concentration,
+and velocity) and calculates an interpolated model equivalent value at
+the observation location and nearest model timestep.
+The resulting data are saved in a feedback file (or files).
+The code was originally developed for use with the NEMOVAR data assimilation code, but
+can be used for validation or verification of model or any other data assimilation system.
+This is all controlled by the namelist.
+To build with the OBS code active ``key_diaobs`` must be set.
+
+More details in |DOI man OCE|_ "Observation and Model Comparison (``OBS``)" chapter.
+
+Standalone observation operator (``SAO``)
+-----------------------------------------
+
+The OBS code can also be run after a model run using saved NEMO model data.
+This is accomplished using the standalone observation operator (SAO)
+(previously known the offline observation operator).
+
+To build the SAO use makenemo.
+This means compiling NEMO once (in the normal way) for the chosen configuration.
+Then include ``SAO`` at the end of the relevant line in :file:`cfg.txt` file.
+Then recompile with the replacement main program in :file:`./src/SAO`.
+This is a special version of :file:`nemogcm.F90` (which doesn't run the model,
+but reads in the model fields, and observations and runs the OBS code.
+See "Standalone observation operator (``SAO``)" section in |DOI man OCE|_.
+
+Apply assimilation increments (``ASM``)
+=======================================
+
+The ASM code adds the functionality to apply increments to the model variables:
+temperature, salinity, sea surface height, velocity and sea ice concentration.
+These are read into the model from a NetCDF file which
+may be produced by separate data assimilation code.
+The code can also output model background fields which are used as an input to data assimilation code.
+This is all controlled by the namelist ``&nam_asminc``.
+To build the ASM code ``key asminc`` must be set.
+
+More details in |DOI man OCE|_ "Apply Assimilation Increments (``ASM``)" chapter.
+
+Tangent linear and adjoint (``TAM``)
+====================================
+
+This is the tangent linear and adjoint code of NEMO which is useful to 4D VAR assimilation.
Index: MO/trunk/doc/rst/source/data_assimilation.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/data_assimilation.rst	(revision 11717)
+++ 	(revision )
@@ -1,64 +1,0 @@
-*****************
-Data assimilation
-*****************
-
-.. contents::
-   :local:
-
-The assimilation interface to NEMO is split into three modules.
-
-- ``OBS`` for the observation operator
-- ``ASM`` for the application of increments and model bias correction
-  (based on the assimilation increments).
-- ``TAM`` the tangent linear and adjoint model.
-
-Please see |DOI man OCE|_ for more details including information about the input file formats and
-the namelist settings.
-
-Observation and model comparison (``OBS``)
-==========================================
-
-The observation and model comparison code (OBS) reads in observation files
-(profile temperature and salinity, sea surface temperature, sea level anomaly, sea ice concentration,
-and velocity) and calculates an interpolated model equivalent value at
-the observation location and nearest model timestep.
-The resulting data are saved in a feedback file (or files).
-The code was originally developed for use with the NEMOVAR data assimilation code, but
-can be used for validation or verification of model or any other data assimilation system.
-This is all controlled by the namelist.
-To build with the OBS code active ``key_diaobs`` must be set.
-
-More details in |DOI man OCE|_ "Observation and Model Comparison (``OBS``)" chapter.
-
-Standalone observation operator (``SAO``)
------------------------------------------
-
-The OBS code can also be run after a model run using saved NEMO model data.
-This is accomplished using the standalone observation operator (SAO)
-(previously known the offline observation operator).
-
-To build the SAO use makenemo.
-This means compiling NEMO once (in the normal way) for the chosen configuration.
-Then include ``SAO`` at the end of the relevant line in :file:`cfg.txt` file.
-Then recompile with the replacement main program in :file:`./src/SAO`.
-This is a special version of :file:`nemogcm.F90` (which doesn't run the model,
-but reads in the model fields, and observations and runs the OBS code.
-See "Standalone observation operator (``SAO``)" section in |DOI man OCE|_.
-
-Apply assimilation increments (``ASM``)
-=======================================
-
-The ASM code adds the functionality to apply increments to the model variables:
-temperature, salinity, sea surface height, velocity and sea ice concentration.
-These are read into the model from a NetCDF file which
-may be produced by separate data assimilation code.
-The code can also output model background fields which are used as an input to data assimilation code.
-This is all controlled by the namelist ``&nam_asminc``.
-To build the ASM code ``key asminc`` must be set.
-
-More details in |DOI man OCE|_ "Apply Assimilation Increments (``ASM``)" chapter.
-
-Tangent linear and adjoint (``TAM``)
-====================================
-
-This is the tangent linear and adjoint code of NEMO which is useful to 4D VAR assimilation.
Index: MO/trunk/doc/rst/source/diagnostics.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/diagnostics.rst	(revision 11717)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../../cfgs/SHARED/README.rst
Index: /NEMO/trunk/doc/rst/source/diags.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/diags.rst	(revision 11718)
+++ /NEMO/trunk/doc/rst/source/diags.rst	(revision 11718)
@@ -0,0 +1,1 @@
+link ../../../cfgs/SHARED/README.rst
Index: /NEMO/trunk/doc/rst/source/doc.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/doc.rst	(revision 11718)
+++ /NEMO/trunk/doc/rst/source/doc.rst	(revision 11718)
@@ -0,0 +1,9 @@
+**************************
+Building the documentation
+**************************
+
+:file:`latex`    : LaTeX sources and Latexmk configuration to build reference manuals with :file:`manual_build.sh`
+:file:`namelists`: Namelist blocks included in the documentation
+:file:`rst`      : |RST man|_ sources and Sphinx configuration to build this guide hereby with :file:`guide_build.sh`
+
+.. |RST man| replace:: reStructuredText (rst)
Index: /NEMO/trunk/doc/rst/source/global.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/global.rst	(revision 11717)
+++ /NEMO/trunk/doc/rst/source/global.rst	(revision 11718)
@@ -39,4 +39,5 @@
 .. _Special Issue: https://www.geosci-model-dev.net/special_issue40.html
 .. _BFM man: https://cmcc-foundation.github.io/www.bfm-community.eu/files/bfm-nemo-manual_r1.0_201508.pdf
+.. _RST man: https://www.sphinx-doc.org/en/master/usage/restructuredtext/index.html
 
 .. DOI
Index: MO/trunk/doc/rst/source/glossary.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/glossary.rst	(revision 11717)
+++ 	(revision )
@@ -1,35 +1,0 @@
-********
-Glossary
-********
-
-.. glossary::
-
-   `AGRIF`_
-      *Adaptive Grid Refinement In Fortran*,
-      package for the integration of full adaptive mesh refinement features within
-      an existing multidimensional finite difference model
-
-   SI\ :sup:`3`\
-      *Sea Ice Integrated Initiative*,
-      unified sea ice model merging functionalities from CICE, GELATO and LIM into the NEMO framework
-
-   `OASIS`_
-      *Ocean Atmosphere Sea Ice Soil*,
-      coupling software to synchronise numerical codes representing different components of the climate system
-
-   PISCES
-      *Pelagic Interactions Scheme for Carbon and Ecosystem Studies*,
-      biogeochemical model simulating marine ecosystems, cycles of carbon and the main nutrients
-
-   TAM
-      *Tangent linear and Adjoint Model*,
-      tools to analyse and control the NEMO dynamical core for a wide range of applications such as
-      sensitivity analysis, parameter estimation, vectors computation or data assimilation.
-
-   TOP
-      *Tracers in Ocean Paradigm*,
-      on/off-line oceanic tracers transport and biogeochemistry models
-
-   `XIOS`_
-      *XML Input Output Server*,
-      library dedicated to input/output management of climate code
Index: /NEMO/trunk/doc/rst/source/guide.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/guide.rst	(revision 11718)
+++ /NEMO/trunk/doc/rst/source/guide.rst	(revision 11718)
@@ -0,0 +1,60 @@
+#################
+Quick Start Guide
+#################
+
+..
+	For headings markup, this convention is recommended from Python’s Style Guide
+	# with overline, for parts
+	* with overline, for chapters
+	=, for sections
+	-, for subsections
+	^, for subsubsections
+	", for paragraphs
+
+	'global.rst' contains a list of roles, substitutions and URL links for the guide.
+	It is loaded for each file with the 'rst_epilog' setting in 'conf.py'
+
+.. toctree::
+   :hidden:
+   :caption: Getting started
+
+   install
+   cfgs
+   tests
+
+.. toctree::
+   :hidden:
+   :caption: Setup your configuration
+
+   setup
+   dia
+   tools
+
+.. toctree::
+   :hidden:
+   :caption: Advanced use
+
+   zooms
+   cplg
+   da
+   tracers
+
+.. toctree::
+   :hidden:
+   :caption: Miscellaneous
+
+   cite
+   contrib
+   changes
+   acro
+
+:Release:  |release|
+
+.. only:: draft
+
+   :*Date*:     |today|
+   :*SVN rev*:  |revision|
+
+   .. include:: todos.rst
+
+.. include:: readme.rst
Index: /NEMO/trunk/doc/rst/source/ref.bib
===================================================================
--- /NEMO/trunk/doc/rst/source/ref.bib	(revision 11718)
+++ /NEMO/trunk/doc/rst/source/ref.bib	(revision 11718)
@@ -0,0 +1,1 @@
+link ../../../REFERENCES.bib
Index: MO/trunk/doc/rst/source/references.bib
===================================================================
--- /NEMO/trunk/doc/rst/source/references.bib	(revision 11717)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../../REFERENCES.bib
Index: MO/trunk/doc/rst/source/release_notes.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/release_notes.rst	(revision 11717)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../../RELEASE_NOTES.rst
Index: /NEMO/trunk/doc/rst/source/src.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/src.rst	(revision 11718)
+++ /NEMO/trunk/doc/rst/source/src.rst	(revision 11718)
@@ -0,0 +1,8 @@
+*************************************
+Sources
+*************************************
+
+:file:`ICE`: |NEMO-ICE|
+:file:`NST`: AGRIF for embedded zooms
+:file:`OCE`: |NEMO-OCE|
+:file:`TOP`: |NEMO-MBG|
Index: MO/trunk/doc/rst/source/test_cases.bib
===================================================================
--- /NEMO/trunk/doc/rst/source/test_cases.bib	(revision 11717)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../../tests/test_cases.bib
Index: MO/trunk/doc/rst/source/test_cases.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/test_cases.rst	(revision 11717)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../../tests/README.rst
Index: /NEMO/trunk/doc/rst/source/tests.bib
===================================================================
--- /NEMO/trunk/doc/rst/source/tests.bib	(revision 11718)
+++ /NEMO/trunk/doc/rst/source/tests.bib	(revision 11718)
@@ -0,0 +1,1 @@
+link ../../../tests/test_cases.bib
Index: /NEMO/trunk/doc/rst/source/tests.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/tests.rst	(revision 11718)
+++ /NEMO/trunk/doc/rst/source/tests.rst	(revision 11718)
@@ -0,0 +1,1 @@
+link ../../../tests/README.rst
Index: /NEMO/trunk/doc/rst/source/todos.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/todos.rst	(revision 11717)
+++ /NEMO/trunk/doc/rst/source/todos.rst	(revision 11718)
@@ -1,6 +1,3 @@
 .. rubric:: List of editing tasks
 
-:*Date*:     |today|
-:*SVN rev*:  |revision|
-
 .. todolist::